import { world, system, EquipmentSlot } from '@minecraft/server';

system.runInterval(() => {
    for (const player of world.getAllPlayers()) {
        const head = player.getComponent('equippable').getEquipment(EquipmentSlot.Head);
        const body = player.getComponent('equippable').getEquipment(EquipmentSlot.Chest);
        const legs = player.getComponent('equippable').getEquipment(EquipmentSlot.Legs);
        const feet = player.getComponent('equippable').getEquipment(EquipmentSlot.Feet);

        if (head?.typeId == 'gay:reinforced_netherite_helmet' && body?.typeId == 'gay:reinforced_netherite_chestplate' && legs?.typeId == 'gay:reinforced_netherite_leggings' && feet?.typeId == 'gay:reinforced_netherite_boots') {
            player.addEffect('health_boost', 120, { amplifier: 4, showParticles: false });
            player.addEffect('regeneration', 120, { amplifier: 0, showParticles: false });
            player.addEffect('fire_resistance', 120, { amplifier: 0, showParticles: false })
        }

        if (head?.typeId == 'gay:reinforced_diamond_helmet' && body?.typeId == 'gay:reinforced_diamond_chestplate' && legs?.typeId == 'gay:reinforced_diamond_leggings' && feet?.typeId == 'gay:reinforced_diamond_boots') {
            player.addEffect('health_boost', 120, { amplifier: 4, showParticles: false });
        }
        if (head?.typeId == 'gay:reinforced_gold_helmet' && body?.typeId == 'gay:reinforced_gold_chestplate' && legs?.typeId == 'gay:reinforced_gold_leggings' && feet?.typeId == 'gay:reinforced_gold_boots') {
            player.addEffect('village_hero', 120, { amplifier: 2, showParticles: false });
        }

        if (head?.typeId == 'gay:reinforced_iron_helmet' && body?.typeId == 'gay:reinforced_iron_chestplate' && legs?.typeId == 'gay:reinforced_iron_leggings' && feet?.typeId == 'gay:reinforced_iron_boots') {
            player.addEffect('strength', 120, { amplifier: 0, showParticles: false });
        }

        if (head?.typeId == 'gay:reinforced_iron_helmet_op' && body?.typeId == 'gay:reinforced_iron_chestplate' && legs?.typeId == 'gay:reinforced_iron_leggings' && feet?.typeId == 'gay:reinforced_iron_boots') {
            player.addEffect('strength', 120, { amplifier: 0, showParticles: false });
        }

        if (head?.typeId == 'gay:reinforced_chainmail_helmet' && body?.typeId == 'gay:reinforced_chainmail_chestplate' && legs?.typeId == 'gay:reinforced_chainmail_leggings' && feet?.typeId == 'gay:reinforced_chainmail_boots') {
            player.addEffect('strength', 120, { amplifier: 0, showParticles: false });
        }

        if (head?.typeId == 'gay:reinforced_leather_helmet' && body?.typeId == 'gay:reinforced_leather_chestplate' && legs?.typeId == 'gay:reinforced_leather_leggings' && feet?.typeId == 'gay:reinforced_leather_boots') {
            player.addEffect('speed', 120, { amplifier: 0, showParticles: false });
        }
    }
}, 100);